Subject: Re: [PATCH] net: dsa: mv88e6xxx: Add MV88E6352 DT compatible

From: Andrew Lunn <[email-masked]>
Date: Wed, 12 Sep 2018 15:32:22 +0200

> But the DT should correctly describe the hardware, if it doesn't, it's
> just broken.

It is more subtle than that. It can be broken, yet work, because it
contains information which we don't use. I really expect there will be
cut/paste errors, meaning the more specific compatible is sometimes
wrong. But since at the moment we don't use it, such a broken DT blob
will work. Until the day we need to make use of the more specific
compatible because there really is broken silicon. At that point, we
introduce a regression. All the devices with broke, yet up until now
working DT blobs, stop working. Are you really going to argue they
where always broken, so we don't care we introduced a regression?

Anyway, this is just rehasing an old discussion. Please go read the
archive. See if you have anything new to add which was not discussed
before.

      Andrew